Function
findBegin
Search the begin of an approximate match.
findBegin(finder, pattern [, limit])
Include Headers
seqan/find.h
Parameters

finder | The Finder object to search through. Types: Finder
pattern | The Pattern object to search for. Types: Pattern Remarks: This must be a pattern for approximate string matching.
limit | The score limit. Default: The limit used during the last find call, see getScore. Remarks: All occurrences that score at least limit are reported.

Remarks
The function find successfully called be called - that is an end position was found - before calling findBegin to find a begin position.
Return Values
boolean that indicates whether an begin position was found.
Example Programs
Approximate Searching
See Also
find, getBeginScore
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:47